View Issue Details

IDProjectCategoryView StatusLast Update
0001766FreeCADFeaturepublic2015-01-20 23:26
ReportershoogenAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.15 
Summary0001766: There is no GUI to set the default License and Company
DescriptionThere is no GUI to set the default License and Company
And old files that don't bear any license information will be changed to CC-BY
TagsNo tags attached.

Relationships

related to 0001883 closedyorik Wrong license for files lacking (predating) the license Property 

Activities

yorik

2014-09-27 18:57

administrator   ~0005160

Good point. It should be easy to add a couple of preference fields...

shoogen

2014-12-12 21:33

developer   ~0005372

I think we should remove the Company and Author Dialog for IGES and STEP export. They should use the value set for the document.

jmaustpc

2015-01-07 14:52

manager   ~0005555

Would it be better still run the dialogue but to fill the fields by default with the document values? It would allow you the advantage of 1) reminding you to enter a value if you have not already 2) remind you what value is going to be entered in case you forgot all about it 3) allow you to easy export to a different license or company name without effecting the original document?

yorik

2015-01-20 23:26

administrator   ~0005683

This is now fixed together with 0001883

Issue History

Date Modified Username Field Change
2014-09-26 13:52 shoogen New Issue
2014-09-27 18:57 yorik Note Added: 0005160
2014-12-12 21:33 shoogen Note Added: 0005372
2014-12-30 10:58 shoogen Relationship added related to 0001883
2015-01-07 14:52 jmaustpc Note Added: 0005555
2015-01-20 23:26 yorik Note Added: 0005683
2015-01-20 23:26 yorik Status new => closed
2015-01-20 23:26 yorik Assigned To => yorik
2015-01-20 23:26 yorik Resolution open => fixed
2015-01-20 23:26 yorik Fixed in Version => 0.15